SATNET.WebApp/Models/DistributorUserViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace SATNET.WebApp.Models
{
    public class DistributorUserViewModel
    {
        public DistributorUserViewModel()
        {
            FirstName = "";
            customList = new SelectList(
            new List<SelectListItem>
            {
                new SelectListItem {Text = "Google", Value = "Go"},
                new SelectListItem {Text = "Other", Value = "Ot"},
            }, "Value", "Text");
        }
        public int Id { get; set; }
        [DisplayName("First Name")]
        public string FirstName { get; set; }
        [DisplayName("Last Name")]
        public string LastName { get; set; }
        [DisplayName("User Name")]
        public string UserName { get; set; }
        public string Password { get; set; }
        public int DistributorId { get; set; }
        public SelectList customList { get; set; }
    }
}

SATNET.WebApp/Controllers/DistributorUserController.cs
using System; 
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using SATNET.Service.Interface;
using SATNET.WebApp.Models;

namespace SATNET.WebApp.Controllers
{
    public class DistributorUserController : BaseController
    {
        private readonly IUserService _userService;
        public DistributorUserController(IUserService userService)
        {
            _userService = userService;
        }
        public async Task<IActionResult> Index()
        {
            List<DistributorUserViewModel> model = new List<DistributorUserViewModel>();
            //var serviceResult = await _userService.GetAllUsers();
            //if (serviceResult.Any())
            //{
            //    serviceResult.ForEach(i =>
            //    {
            //        DistributorUserViewModel user = new DistributorUserViewModel()
            //        {
            //            DistributorId = i.DistributorId,
            //            Id = i.Id,
            //            FirstName = i.FirstName,
            //            LastName = i.LastName
            //        };
            //        model.Add(user);
            //    });
            //}

            return View(model);
        }

        public IActionResult Add()
        {
            DistributorUserViewModel model = new DistributorUserViewModel();
            return View(model);
        }
        [HttpPost]
        public IActionResult Add(DistributorUserViewModel model)
        {
            List<DistributorUserViewModel> list = new List<DistributorUserViewModel>();
            //DistributorUserViewModel model = new DistributorUserViewModel();
            return Json(new { isValid = true, html = RenderViewToString(this,"Index", list) });
        }
    }
}

SATNET.WebApp/Views/DistributorUser/Add.cshtml
@model SATNET.WebApp.Models.DistributorUserViewModel
@*@{
        var controller = HttpContext.Current.Request.RequestContext.RouteData.Values["controller"].ToString();
    }*@

<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">Heading</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Menu</a></li>
                    <li class="breadcrumb-item active">Heading</li>
                </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<!-- Main content -->
<section class="content" id="MainContent">
    <div class="card card-primary">

        <!-- /.card-header -->
        <!-- form start -->

        <form method="post" data-ajax="true" asp-controller="DistributorUser" asp-action="Add" data-ajax-method="post" data-ajax-complete="completed" 
              enctype="multipart/form-data" id="formAdd" autocomplete="off" >
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="card-body">
            <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="email" name="email" class="form-control" id="exampleInputEmail1" placeholder="Enter email">
            </div>

            <div class="form-group row">
                @Html.LabelFor(model => model.FirstName, new { @class = "col-sm-4 col-form-label" })
                <div class="col-sm-8">
                    @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control text-input", @placeholder = "Name" } })

                </div>
            </div>

            <div class="form-group row">
                @Html.LabelFor(model => model.DistributorId, new { @class = "col-sm-4 col-form-label" })
                <div class="col-sm-8">
                    @Html.DropDownListFor(model => model.LastName, new SelectList(Model.customList, "Value", "Text"), "-Select Paarent-", new { @class = "form-control select2 text-input" })


                </div>
            </div>

            <div class="form-group row">
                @Html.LabelFor(model => model.Password, new { @class = "col-sm-4 col-form-label" })
                <div class="col-sm-8">
                    @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control", @placeholder = "Password", @type = "password" } })
                </div>
            </div>
        </div>
            <!-- /.card-body -->

            <div class="card-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </form>
    </div>
</section>
<!-- /.Main content -->


<script language="javascript" type="text/javascript">
    $(document).ready(function () {
        console.log("ready!");
    });

    $(function () {
        $("#formAdd").submit(function (e) {
            
            $.post($(this).attr("action"),
                $(this).serialize(),
                function (data) {
                    console.log(data);
                    $("#BodyContent").html(data.html);
                });
            e.preventDefault();
        });
    });
</script>

SATNET.WebApp/Views/DistributorUser/Index.cshtml
@model IEnumerable<SATNET.WebApp.Models.DistributorUserViewModel>
<!-- Content Header (Page header) -->
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0 text-dark">Heading</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Menu</a></li>
                    <li class="breadcrumb-item active">Heading</li>
                </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<!-- Main content -->
<section class="content">
    <div class="card">

        <!-- /.card-header -->
        <div class="card-body">
            <div class="row">
                <a class="btn btn-primary right-pan" href="@String.Format("/{0}", "Package/Add")">
                    <span class='fa fa-plus' aria-hidden='true'></span> &nbsp;Add
                </a>
            </div>
            <div id="example1_wrapper" class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12 col-md-6">
                        <div class="dataTables_length" id="example1_length">
                            <label>
                                Show <select name="example1_length" aria-controls="example1" class="custom-select custom-select-sm form-control form-control-sm">
                                    <option value="10">10</option>
                                    <option value="25">25</option>
                                    <option value="50">50</option>
                                    <option value="100">100</option>
                                </select> entries
                            </label>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-6">
                        <div id="example1_filter" class="dataTables_filter">
                            <label>Search:<input type="search" class="form-control form-control-sm" placeholder="" aria-controls="example1"></label>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <table id="example1" class="table table-bordered table-head-fixed text-nowrap dataTable dtr-inline" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr role="row">
                                <th class="sorting_asc" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-sort="ascending" aria-label="Rendering engine: activate to sort column descending">Id</th>
                                <th class="sorting" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-label="Browser: activate to sort column ascending">First Name</th>
                                <th class="sorting" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-label="Platform(s): activate to sort column ascending">Last Name</th>
                                <th class="sorting" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-label="Engine version: activate to sort column ascending">User Name</th>
                                <th class="sorting" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-label="CSS grade: activate to sort column ascending">Password</th></tr>
                            </thead>
                            <tbody>
                                <tr role="row" class="odd">
                                    <td tabindex="0" class="sorting_1">Gecko</td>
                                    <td>Firefox 1.0</td>
                                    <td>Win 98+ / OSX.2+</td>
                                    <td>1.7</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="even">
                                    <td tabindex="0" class="sorting_1">Gecko</td>
                                    <td>Firefox 1.5</td>
                                    <td>Win 98+ / OSX.2+</td>
                                    <td>1.8</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="odd">
                                    <td tabindex="0" class="sorting_1">Gecko</td>
                                    <td>Firefox 2.0</td>
                                    <td>Win 98+ / OSX.2+</td>
                                    <td>1.8</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="even">
                                    <td tabindex="0" class="sorting_1">Gecko</td>
                                    <td>Firefox 3.0</td>
                                    <td>Win 2k+ / OSX.3+</td>
                                    <td>1.9</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="odd">
                                    <td class="sorting_1" tabindex="0">Gecko</td>
                                    <td>Camino 1.0</td>
                                    <td>OSX.2+</td>
                                    <td>1.8</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="even">
                                    <td class="sorting_1" tabindex="0">Gecko</td>
                                    <td>Camino 1.5</td>
                                    <td>OSX.3+</td>
                                    <td>1.8</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="odd">
                                    <td class="sorting_1" tabindex="0">Gecko</td>
                                    <td>Netscape 7.2</td>
                                    <td>Win 95+ / Mac OS 8.6-9.2</td>
                                    <td>1.7</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="even">
                                    <td class="sorting_1" tabindex="0">Gecko</td>
                                    <td>Netscape Browser 8</td>
                                    <td>Win 98SE+</td>
                                    <td>1.7</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="odd">
                                    <td class="sorting_1" tabindex="0">Gecko</td>
                                    <td>Netscape Navigator 9</td>
                                    <td>Win 98+ / OSX.2+</td>
                                    <td>1.8</td>
                                    <td>A</td>
                                </tr>
                                <tr role="row" class="even">
                                    <td class="sorting_1" tabindex="0">Gecko</td>
                                    <td>Mozilla 1.0</td>
                                    <td>Win 95+ / OSX.1+</td>
                                    <td>1</td>
                                    <td>A</td>
                                </tr>
                            </tbody>
                            
                        </table>
                    </div>
                </div><div class="row"><div class="col-sm-12 col-md-5"><div class="dataTables_info" id="example1_info" role="status" aria-live="polite">Showing 1 to 10 of 57 entries</div></div><div class="col-sm-12 col-md-7"><div class="dataTables_paginate paging_simple_numbers" id="example1_paginate"><ul class="pagination"><li class="paginate_button page-item previous disabled" id="example1_previous"><a href="#" aria-controls="example1" data-dt-idx="0" tabindex="0" class="page-link">Previous</a></li><li class="paginate_button page-item active"><a href="#" aria-controls="example1" data-dt-idx="1" tabindex="0" class="page-link">1</a></li><li class="paginate_button page-item "><a href="#" aria-controls="example1" data-dt-idx="2" tabindex="0" class="page-link">2</a></li><li class="paginate_button page-item "><a href="#" aria-controls="example1" data-dt-idx="3" tabindex="0" class="page-link">3</a></li><li class="paginate_button page-item "><a href="#" aria-controls="example1" data-dt-idx="4" tabindex="0" class="page-link">4</a></li><li class="paginate_button page-item "><a href="#" aria-controls="example1" data-dt-idx="5" tabindex="0" class="page-link">5</a></li><li class="paginate_button page-item "><a href="#" aria-controls="example1" data-dt-idx="6" tabindex="0" class="page-link">6</a></li><li class="paginate_button page-item next" id="example1_next"><a href="#" aria-controls="example1" data-dt-idx="7" tabindex="0" class="page-link">Next</a></li></ul></div></div></div>
            </div>
        </div>
        <!-- /.card-body -->
    </div>
</section>


<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FirstName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Password)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DistributorId)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Id)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.FirstName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LastName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.UserName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Password)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DistributorId)
                </td>
                <td>
                    @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
                    @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
                    @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
                </td>
            </tr>
        }
    </tbody>
</table>